低危 Oracle Database Server 12.2.0.1/18c/19c Workload Manager 资源消耗漏洞

CVE编号

CVE-2019-10072

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-06-22
漏洞描述
CVE-2019-0199的修复程序不完整,并且在Apache Tomcat版本9.0.0.M1到9.0.19和8.5.0到8.5.40中没有解决写入时的 HTTP/2 connection window耗尽问题。通过不为连接窗口(流0)发送WINDOW_UPDATE消息,客户端能够导致服务器端线程阻塞,最终导致线程耗尽和DoS。

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://lists.apache.org/thread.html/df1a2c1b87c8a6c500ecdbbaf134c7f1491c8d79d98b48c6b9f0fa6a@%3Cannounce.tomcat.apache.org%3E
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache tomcat * From
(including)
8.5.0
Up to
(including)
8.5.40
运行在以下环境
应用 apache tomcat * From
(including)
9.0.1
Up to
(including)
9.0.19
运行在以下环境
应用 apache tomcat 9.0.0 -
运行在以下环境
系统 debian_10 tomcat9 * Up to
(excluding)
9.0.31-1~deb10u1
运行在以下环境
系统 opensuse_Leap_15.1 tomcat9 * Up to
(excluding)
9.0.30-lp151.3.6.1
运行在以下环境
系统 sles_12 tomcat * Up to
(excluding)
9.0.31-3.25
运行在以下环境
系统 sles_12_SP4 tomcat9 * Up to
(excluding)
9.0.31-3.25.1
运行在以下环境
系统 sles_12_SP5 tomcat9 * Up to
(excluding)
9.0.31-3.25.1
运行在以下环境
系统 suse_12 tomcat * Up to
(excluding)
9.0.31-3.25
运行在以下环境
系统 suse_12_SP4 tomcat9 * Up to
(excluding)
9.0.31-3.25.1
运行在以下环境
系统 suse_12_SP5 tomcat9 * Up to
(excluding)
9.0.31-3.25.1
运行在以下环境
系统 ubuntu_18.04 tomcat9 * Up to
(excluding)
9.0.16-3ubuntu0.18.04.1
运行在以下环境
系统 ubuntu_18.04.5_lts tomcat8 * Up to
(excluding)
8.5.39-1ubuntu1~18.04.3
运行在以下环境
系统 ubuntu_18.04_lts tomcat8 * Up to
(excluding)
8.5.39-1ubuntu1~18.04.3
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-667 加锁机制不恰当
阿里云安全产品覆盖情况